# Class TCefMediaRouterRef

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFMediaRouter

## Declaration

`type TCefMediaRouterRef = class(TCefBaseRefCountedRef, ICefMediaRouter)`

## Description

This item has no description.

## Hierarchy

- TInterfacedObject
- TCefBaseRefCountedRef
- TCefMediaRouterRef

## Overview

### Methods

| `function AddObserver(const observer: ICefMediaObserver): ICefRegistration;`
| `function GetSource(const urn: ustring): ICefMediaSource;`
| `procedure NotifyCurrentSinks;`
| `procedure CreateRoute(const source: ICefMediaSource; const sink: ICefMediaSink; const callback: ICefMediaRouteCreateCallback);`
| `procedure NotifyCurrentRoutes;`
| `class function UnWrap(data: Pointer): ICefMediaRouter;`
| `class function Global: ICefMediaRouter;`

## Description

### Methods

| `function AddObserver(const observer: ICefMediaObserver): ICefRegistration;`
This item has no description. Showing description inherited from ICefMediaRouter.AddObserver. Add an observer for MediaRouter events. The observer will remain registered until the returned Registration object is destroyed.

| `function GetSource(const urn: ustring): ICefMediaSource;`
This item has no description. Showing description inherited from ICefMediaRouter.GetSource. Returns a MediaSource object for the specified media source URN. Supported URN schemes include "cast:" and "dial:", and will be already known by the client application (e.g. "cast:<appId>?clientId=<clientId>").

| `procedure NotifyCurrentSinks;`
This item has no description. Showing description inherited from ICefMediaRouter.NotifyCurrentSinks. Trigger an asynchronous call to ICefMediaObserver.OnSinks on all registered observers.

| `procedure CreateRoute(const source: ICefMediaSource; const sink: ICefMediaSink; const callback: ICefMediaRouteCreateCallback);`
This item has no description. Showing description inherited from ICefMediaRouter.CreateRoute. Create a new route between |source| and |sink|. Source and sink must be valid, compatible (as reported by ICefMediaSink.IsCompatibleWith), and a route between them must not already exist. |callback| will be executed on success or failure. If route creation succeeds it will also trigger an asynchronous call to ICefMediaObserver.OnRoutes on all registered observers.

| `procedure NotifyCurrentRoutes;`
This item has no description. Showing description inherited from ICefMediaRouter.NotifyCurrentRoutes. Trigger an asynchronous call to ICefMediaObserver.OnRoutes on all registered observers.

| `class function UnWrap(data: Pointer): ICefMediaRouter;`
This item has no description.

| `class function Global: ICefMediaRouter;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.